Changeset 24246


Ignore:
Timestamp:
2010-12-04T20:56:47+01:00 (7 years ago)
Author:
jow
Message:

[include] re-enable the libtool PKG_BUILD_DEPENDS for PKG_FIXUP and emit a deprecation warning. Packages must specify PKG_BUILD_DEPENDS:=libtool

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/include/autotools.mk

    r24241 r24246  
    5858Hooks/InstallDev/Post += libtool_remove_files 
    5959 
    60 # XXX the libtool fixups got deactivated in the course of switching to libtool2 in trunk XXX 
    61 # ifneq ($(filter libtool,$(PKG_FIXUP)),) 
    62 #   PKG_BUILD_DEPENDS += libtool 
    63 #   Hooks/Configure/Pre += update_libtool remove_version_check 
    64 #   Hooks/Configure/Post += update_libtool 
    65 #   Hooks/InstallDev/Post += libtool_fixup_libdir 
    66 # endif 
    67 #  
    68 # ifneq ($(filter libtool-ucxx,$(PKG_FIXUP)),) 
    69 #   PKG_BUILD_DEPENDS += libtool 
    70 #   Hooks/Configure/Pre += update_libtool_ucxx remove_version_check 
    71 #   Hooks/Configure/Post += update_libtool_ucxx 
    72 #   Hooks/InstallDev/Post += libtool_fixup_libdir 
    73 # endif 
     60ifneq ($(filter libtool,$(PKG_FIXUP)),) 
     61  # WARNING: the use of PKG_FIXUP is DEPRECATED 
     62  PKG_BUILD_DEPENDS += libtool 
     63endif 
     64  
     65ifneq ($(filter libtool-ucxx,$(PKG_FIXUP)),) 
     66  # WARNING: the use of PKG_FIXUP is DEPRECATED 
     67  PKG_BUILD_DEPENDS += libtool 
     68endif 
    7469 
Note: See TracChangeset for help on using the changeset viewer.